package openstates

type ActionType string

const (
	ActionBillIntroduced             = "bill:introduced"
	ActionBillPassed                 = "bill:passed"
	ActionBillFailed                 = "bill:failed"
	ActionBillWithdrawn              = "bill:withdrawn"
	ActionBillVetoOverridePassed     = "bill:veto_override:passed"
	ActionBillVetoOverrideFailed     = "bill:veto_override:failed"
	ActionBillReading1               = "bill:reading:1"
	ActionBillReading2               = "bill:reading:2"
	ActionBillReading3               = "bill:reading:3"
	ActionBillFiled                  = "bill:filed"
	ActionBillSubstituted            = "bill:substituted"
	ActionGovernorReceived           = "governor:received"
	ActionGovernorSigned             = "governor:signed"
	ActionGovernorVetoed             = "governor:vetoed"
	ActionGovernorVetoedLineItem     = "governor:vetoed:line-item"
	ActionAmendmentIntroduced        = "amendment:introduced"
	ActionAmendmentPassed            = "amendment:passed"
	ActionAmendmentFailed            = "amendment:failed"
	ActionAmendmentAmended           = "amendment:amended"
	ActionAmendmentWithdrawn         = "amendment:withdrawn"
	ActionAmendmentTabled            = "amendment:tabled"
	ActionCommitteeReferred          = "committee:referred"
	ActionCommitteePassed            = "committee:passed"
	ActionCommitteePassedFavorable   = "committee:passed:favorable"
	ActionCommitteePassedUnfavorable = "committee:passed:unfavorable"
	ActionCommitteeFailed            = "committee:failed"
	ActionOther                      = "other"
)
