package openstates

type MembershipNode struct {
	Id           string            `json:"id"`
	PersonName   string            `json:"personName"`
	Person       *PersonNode       `json:"person"`
	Organization *OrganizationNode `json:"organization"`
	Post         *PostNode         `json:"post"`
	Label        string            `json:"label"`
	Role         string            `json:"role"`
	StartDate    string            `json:"startDate"`
	EndDate      string            `json:"endDate"`
	CreatedAt    string            `json:"createdAt"`
	UpdatedAt    string            `json:"updatedAt"`
	Extras       string            `json:"extras"`
}
