package openstates

type OrganizationNode struct {
	Id                 string             `json:"id"`
	Name               string             `json:"name"`
	Image              string             `json:"image"`
	Classification     string             `json:"classification"`
	FoundingDate       string             `json:"foundingDate"`
	DissolutionDate    string             `json:"dissolutionDate"`
	Parent             *OrganizationNode  `json:"parent"`
	Children           []OrganizationNode `json:"children"`
	CurrentMemberships []MembershipNode   `json:"currentMemberships"`
	Identifiers        []IdentifierNode   `json:"identifiers"`
	OtherNames         []NameNode         `json:"otherNames"`
	Links              []LinkNode         `json:"links"`
	Sources            []string           `json:"sources"`
	CreatedAt          string             `json:"createdAt"`
	UpdatedAt          string             `json:"updatedAt"`
	Extras             string             `json:"extras"`
}
