package openstates

type PersonNode struct {
	Id                 string              `json:"id"`
	Name               string              `json:"name"`
	SortName           string              `json:"sortName"`
	FamilyName         string              `json:"familyName"`
	GivenName          string              `json:"givenName"`
	Image              string              `json:"image"`
	BirthDate          string              `json:"birthDate"`
	DeathDate          string              `json:"deathDate"`
	Identifiers        []IdentifierNode    `json:"identifiers"`
	OtherNames         []NameNode          `json:"otherNames"`
	Links              []LinkNode          `json:"links"`
	ContactDetails     []ContactDetailNode `json:"contactDetails"`
	CurrentMemberships []MembershipNode    `json:"currentMemberships"`
	OldMemberships     []MembershipNode    `json:"oldMemberships"`
	Sources            []LinkNode          `json:"sources"`
	CreatedAt          string              `json:"createdAt"`
	UpdatedAt          string              `json:"updatedAt"`
	Extras             string              `json:"extras"`
}
