package openstates

type PostNode struct {
	Id                 string        `json:"id"`
	Label              string        `json:"label"`
	Role               string        `json:"role"`
	Division           *DivisionNode `json:"division"`
	StartDate          string        `json:"startDate"`
	EndDate            string        `json:"endDate"`
	MaximumMemberships int           `json:"maximumMemberships"`
	CreatedAt          string        `json:"createdAt"`
	UpdatedAt          string        `json:"updatedAt"`
	Extras             string        `json:"extras"`
}
